Subject: bug#13438: /srv/bzr/emacs/emacs-24 r111196: * imenu.el (imenu-default-create-index-function): Remove useless

From: Stefan Monnier <[email-masked]>
Date: Thu, 24 Jan 2013 13:30:16 -0500

> I'm not keen on removing an infinite loop check from emacs-24 at this
> stage.

The patch is "safe" in the sense that it will only introduce
an inf-loop in those cases where the user used to get an error.
[ Unless of course, the calling context catches those errors.  ]

> Why is this issue (apparently) only seen in Python mode, and why
> isn't there a Python-specific solution (which seems like it would be
> just making imenu-prev-index-position-function return nil when
> appropriate)?

If we can change python.el to work around the problem, we could install
that workaround in emacs-24 and keep the "remove the inf-loop check" for
the trunk, indeed.

        Stefan